Package org.eclipse.viatra.transformation.runtime.emf.transformation.batch

## Class BatchTransformation.BatchTransformationBuilder

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.transformation.batch.BatchTransformation.BatchTransformationBuilder

- Enclosing class:
    BatchTransformation

      public static class BatchTransformation.BatchTransformationBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchTransformationBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BatchTransformation.BatchTransformationBuilder` | `addAdapter​(IEVMAdapter adapter)` |
    `BatchTransformation.BatchTransformationBuilder` | `addAdapterConfiguration​(IAdapterConfiguration config)` |
    `BatchTransformation.BatchTransformationBuilder` | `addListener​(IEVMListener listener)` |
    `BatchTransformation.BatchTransformationBuilder` | `addRule​(BatchTransformationRule<?,​?> rule)` |
    `BatchTransformation.BatchTransformationBuilder` | `addRules​(BatchTransformationRuleGroup ruleGroup)` |
    `BatchTransformation` | `build()` |
    `BatchTransformation.BatchTransformationBuilder` | `setQueryEngine​(ViatraQueryEngine engine)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchTransformationBuilder

          public BatchTransformationBuilder()

  - ### Method Detail

    - #### setQueryEngine

          public BatchTransformation.BatchTransformationBuilder setQueryEngine​(ViatraQueryEngine engine)

    - #### addRule

          public BatchTransformation.BatchTransformationBuilder addRule​(BatchTransformationRule<?,​?> rule)

    - #### addAdapter

          public BatchTransformation.BatchTransformationBuilder addAdapter​(IEVMAdapter adapter)

    - #### addListener

          public BatchTransformation.BatchTransformationBuilder addListener​(IEVMListener listener)

    - #### addAdapterConfiguration

          public BatchTransformation.BatchTransformationBuilder addAdapterConfiguration​(IAdapterConfiguration config)

    - #### addRules

          public BatchTransformation.BatchTransformationBuilder addRules​(BatchTransformationRuleGroup ruleGroup)

    - #### build

          public BatchTransformation build()

      Throws:
        `ViatraQueryRuntimeException`